MeduxMedux

Clone > Clone Voice

Clone Voice

Clone a voice from an uploaded audio file.

POST/api/app/v1/clone/voice

Examples

curl -X POST https://medux-server-api-dev.lingverse.co/api/app/v1/clone/voice \
  -H 'Authorization: Bearer $MEDUX_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"file_id":"FILE_ID","title":"Demo title"}'

Media Samples

Approved examples for understanding request inputs, response shape, and official example output.

Official voice clone

This example uses voice-clone-standard.

Sample request

Clone a reusable voice from a clean narration sample.

file_id{file_id}sourceOfficial sample speech audio for testingtitleOfficial voice clone samplemodel_idvoice-clone-standard

Sample response

Official example output for preview only. It is not a user Media Result.

voice_asset_idofficial_voice_demo_001

Example output

Auth Requirements

Authentication is required via Authorization header.

Preconditions

Requires an uploaded source file_id.

Use a clean speech sample for better identity consistency.

Request

Body

application/json
Authorizationstringrequired

Bearer token or API key.

Location: HEADER

file_idstringrequired

No description provided.

Location: BODY

titlestringoptional

No description provided.

Location: BODY

Response

Response

application/json
codeint32optional

response code enums:
.. 0: ok
.. 12: invalid input
.. 1410: invalid model
.. 1409: paid plan required
.. 1401: insufficient credits
.... 1401 ~ 1499 是 media
.. 1406: asset limit reached
.. 1402: asset category mismatch
.. 1404: provider error
.. 1405: provider timeout
.. 13: unauthenticated
.. 16: rate limit
.. 99: server error

Available options: 0 12 1410 1409 1401 1406 1402 1404 1405 13 16 99

Location: RESPONSE

data.assetobjectoptional

No description provided.

Location: RESPONSE

data.paid_plan_requiredobjectoptional

No description provided.

Location: RESPONSE

data.taskobjectoptional

No description provided.

Location: RESPONSE

messagestringoptional

No description provided.

Available options: ok invalid input invalid model paid plan required insufficient credits asset limit reached asset category mismatch provider error provider timeout unauthenticated rate limit server error

Location: RESPONSE

MCP Tool

This endpoint is also available through the Medux-hosted remote MCP service.

Voice / Clone

Clone a reusable voice from an uploaded audio file.

Invocation Example

Clone a reusable voice from the uploaded audio file {file_id}. Title it Official voice clone sample.

medux_clone_voiceResult: voice_asset
file_id{file_id}titleOfficial voice clone sample